## control-plugin-loader 0.0.11+0m5

=== Makefile ===
all:
	$(MAKE) -C src

clean:
	$(MAKE) -C src clean

distclean:
	$(MAKE) -C src distclean

install:
	install -d $(DESTDIR)/usr/bin/
	install -d $(DESTDIR)/usr/include
	install -d $(DESTDIR)/usr/share/applications/hildon/
	install src/control-plugin-loader $(DESTDIR)/usr/bin/
	install src/control_plugin_loader.h $(DESTDIR)/usr/include/
	install -m 664 data/control-plugin-loader.desktop \
		$(DESTDIR)/usr/share/applications/hildon/

=== src/Makefile ===
PREFIX  ?= /usr
DATADIR ?= $(PREFIX)/share

SRCS = $(wildcard *.c)
OBJS = $(patsubst %.c, %.o, $(SRCS))
NAME = control-plugin-loader
CC ?= gcc

CFLAGS ?= -O2
CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
        -Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
        -Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += $(shell pkg-config --cflags gtk+-2.0 glib-2.0 gmodule-2.0)


all: $(NAME)

(NAME): $(OBJS) Makefile.dep

Makefile.dep: Makefile $(SRCS)
	$(CC) -M `pkg-config --libs --cflags gtk+-2.0 glib-2.0 gmodule-2.0` \
	`pkg-config --libs --cflags hildon-1` $(SRCS) > Makefile.dep 

depend: cleandeps Makefile.dep
	$(MAKE) depend 

cleandeps:
	$(RM) Makefile.dep
	$(RM) */Makefile.dep

-include Makefile.dep 

clean:
	$(RM) *.o *~ $(NAME)

distclean: clean
	$(RM) *.o *~ $(NAME)
	$(RM) Makefile.dep

control-plugin-loader: control_plugin_loader.c
	$(CC) $(CFLAGS) \
	`pkg-config --libs --cflags hildon-1` -DLOCALEDIR=\"$(DATADIR)/locale\" \
	-o $@ $^

## control-plugin-loader 0.0.11%2b0m5

=== debian/control ===
Source: control-plugin-loader
Section: user/tools
Priority: optional
Maintainer: Eero Tamminen <Eero.Tamminen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), libgtk2.0-dev (>= 2.2), libglib2.0-dev (>= 2.2), libhildon1-dev
Standards-Version: 3.7.2

Package: control-plugin-loader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A framework to handle various plugins
 The framework for handling of various plugins of specific uses

Package: control-plugin-loader-dev
Architecture: any
Depends: control-plugin-loader
Description: A framework development files
 The framework development files

Package: control-plugin-loader-dbg
Architecture: any
Priority: extra
Depends: control-plugin-loader (=${binary:Version})
Description: A framework debug files
 The framework debug files

## control-plugin-loader 0.0.11+0m5

=== debian/changelog ===
control-plugin-loader (0.0.11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Thu, 16 Apr 2009 16:29:25 +0300

control-plugin-loader (0.0.11) unstable; urgency=low

  * Fixed .desktop file to include different icon (general_settings)
    Fixes: NB#106130

 -- Pekka Lundstrom <pekka.lundstrom@nokia.com>  Thu, 16 Apr 2009 14:48:25 +0300

control-plugin-loader (0.0.10) unstable; urgency=low

  * Fixed .desktop file permissions. Fixes: NB#97745

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 19 Jan 2009 15:26:11 +0200

control-plugin-loader (0.0.9) unstable; urgency=low

  * Added the missing .desktop file.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 19 Jan 2009 13:37:54 +0200

control-plugin-loader (0.0.8) unstable; urgency=low

  * Added missing license block to the source file. Fixes: NB#89197
  * Added some useful warning flags
  * Fixed outdated FSF contact address in license information.
  * Debug package has now Extras priority, as proposed by Lintian

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 22 Dec 2008 14:28:41 +0200

control-plugin-loader (0.0.7) unstable; urgency=low

  * Added support for configuration file to control which plugins
    will be loaded (if configuration file is not found, all plugins are
    loaded just as before). Fixes: NB#90327

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 20 Oct 2008 14:37:44 +0300

control-plugin-loader (0.0.6) unstable; urgency=low

  * Fixed broken debug symbols.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 13 Oct 2008 14:09:56 +0300

control-plugin-loader (0.0.5) unstable; urgency=low

  * Changed licensing information and added the copyright with the package.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Wed,  8 Oct 2008 10:10:49 +0300

control-plugin-loader (0.0.4) unstable; urgency=low

  * Now loads plugins from a config.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-loader (0.0.3) unstable; urgency=low

  * Collector for terminated processes.

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-loader (0.0.2) unstable; urgency=low

  * Separate process and GtkSocket usage

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

control-plugin-loader (0.0.1) unstable; urgency=low

  * First version

 -- Eero Tamminen <Eero.Tamminen@nokia.com>  Mon, 8 Sep 2008 11:53:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure:
#	./autogen.sh

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	make clean

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

#ifneq "$(wildcard /usr/share/misc/config.sub)" ""
#	cp -f /usr/share/misc/config.sub config.sub
#endif
#ifneq "$(wildcard /usr/share/misc/config.guess)" ""
#	cp -f /usr/share/misc/config.guess config.guess
#endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install -v --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip --dbg-package=control-plugin-loader
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
